Bug 2019 - file_set_dosmode failed
file_set_dosmode failed
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.8
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 05:19 UTC by Alex Deiter
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Deiter 2004-11-11 05:19:03 UTC
Update samba from 3.0.7 up to 3.0.8 break some application:

  tiamat opened file tmp/UZ000000/1Cv77Chs.dat read=No write=Yes (numopen=13)
[2004/11/11 11:37:55, 2] smbd/close.c:close_normal_file(270)
  tiamat closed file tmp/UZ000000/1Cv77Chs.dat (numopen=12)
[2004/11/11 11:37:55, 2] smbd/open.c:open_file(245)
  tiamat opened file tmp/UZ000000/1Cv77Chs.dat read=Yes write=No (numopen=13)
[2004/11/11 11:37:55, 2] smbd/trans2.c:call_trans2setfilepathinfo(3681)
  file_set_dosmode of tmp/UZ000000/1Cv77Chs.dat failed (Unknown error: 0)
[2004/11/11 11:37:55, 2] smbd/close.c:close_normal_file(270)
  tiamat closed file tmp/UZ000000/1Cv77Chs.dat (numopen=12)

Thanks a lot!
Comment 1 Guenther Deschner 2004-11-11 05:55:54 UTC
fixed in subversion.

leaving the bug-report open to let people know it's a known issue.
Comment 2 Alex Deiter 2004-11-11 06:28:11 UTC
There is a patch for 3.0.8 (or to wait 3.0.9) ?

Thanks a lot!
Comment 3 Daniel Beschorner 2004-11-11 06:55:37 UTC
--- branches/SAMBA_3_0/source/smbd/dosmode.c	2004/11/03 00:32:08	3496
+++ branches/SAMBA_3_0/source/smbd/dosmode.c	2004/11/10 23:12:02	3673
@@ -344,9 +344,7 @@
 			return(-1);
 	}
 
-	if (!get_acl_group_bits(conn, fname, &st->st_mode)) {
-		return(-1);
-	}
+	get_acl_group_bits(conn, fname, &st->st_mode);
 
 	if (S_ISDIR(st->st_mode))
 		dosmode |= aDIR;
Comment 4 Alex Deiter 2004-11-11 07:15:02 UTC
Thanks a lot!
Comment 5 Guenther Deschner 2004-11-19 16:30:03 UTC
3.0.9 containing the fix is released now.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:21:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.